# runkit_method_remove

(PECL runkit >= 0.7.0)

runkit_method_remove — Dynamically removes the given method

### Description

runkit_method_remove ( string `$classname` , string `$methodname` ) : bool

> Note: This function cannot be used to manipulate the currently running (or chained) method.

### Parameters

`classname`

  The class in which to remove the method

`methodname`

  The name of the method to remove

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 runkit_method_remove() example

`<?php
class Example {
function foo() {
return "foo!\n";
}
function bar() {
return "bar!\n";
}
}
// Remove the 'foo' method
runkit_method_remove(
'Example',
'foo'
);
echo implode(' ', get_class_methods('Example'));
?>`

The above example will output:

    bar

### See Also

- runkit_method_add() - Dynamically adds a new method to a given class
- runkit_method_copy() - Copies a method from class to another
- runkit_method_redefine() - Dynamically changes the code of the given method
- runkit_method_rename() - Dynamically changes the name of the given method
- runkit_function_remove() - Remove a function definition